library(ggplot2)
require(reshape2)

hr <- read.table("data/hr_wide.txt", comment.char="#", header=TRUE)

hr_long <- melt(hr, id = "participant")
hr_long$variable <- factor(hr_long$variable,
                            levels = c('robot1','robot3', 'robot24'),ordered = TRUE)

bplot <- ggplot(hr_long, aes(x=variable, y=value, fill=variable)) +
  guides(fill=FALSE) + 
  geom_boxplot(width=0.4,  outlier.size = 1) + 
  scale_fill_grey(start = .9, end = 0) + 
  theme_bw() +
  
  ggtitle("Heart rate") +
  theme(plot.title = element_text(size=18,lineheight=2, face="bold")) +
  labs(x = "") + 
  labs(y = "Beat per minute") + 
  theme(plot.title = element_text(size=20,lineheight=2, face="bold"),
        axis.title.y = element_text(size=20),
        plot.title = element_text(size=20,lineheight=2, face="bold"),
        axis.text.x=element_blank(),
        axis.ticks.x = element_blank(),
        axis.title=element_text(size=14))
print(bplot)
