library(ggplot2)
require(reshape2)

scl <- read.table("data/scl_wide.txt", comment.char="#", header=TRUE)

scl_long <- melt(scl, id = "participant")
scl_long$variable <- factor(scl_long$variable,
                                levels = c('robot1','robot3', 'robot24'),ordered = TRUE)

bplot <- ggplot(scl_long, aes(x=variable, y=value, fill=variable)) +
  guides(fill=FALSE) + 
  geom_boxplot(width=0.4,  outlier.size = 1) + 
  scale_fill_grey(start = .9, end = 0) + 
  theme_bw() +

  ggtitle("Skin conductance level") +
  theme(plot.title = element_text(size=18,lineheight=2, face="bold")) +
  labs(x = "") + 
  labs(y = "Microsiemens") + 
  theme(plot.title = element_text(size=20,lineheight=2, face="bold"),
        axis.title.y = element_text(size=20),
        plot.title = element_text(size=20,lineheight=2, face="bold"),
        axis.text.x=element_blank(),
        axis.ticks.x = element_blank(),
        axis.title=element_text(size=14))
print(bplot)

