library(ggplot2)
require(reshape2)

valence <- read.table("data/valence_wide.txt", comment.char="#", header=TRUE)

valence_long <- melt(valence, id = "participant")
valence_long$variable <- factor(valence_long$variable,
                                levels = c('robot1','robot3', 'robot24'),ordered = TRUE)

bplot <- ggplot(valence_long, aes(x=variable, y=value, fill=variable)) +
  guides(fill=FALSE) + 
  ylim("1","2","3","4","5","6","7","8","9")+
  geom_boxplot(width=0.4,  outlier.size = 1) + 
  scale_fill_grey(start = .9, end = 0) + 
  theme_bw() +
  
  ggtitle("Valence") +
  theme(plot.title = element_text(size=18,lineheight=2, face="bold")) +
  labs(x = "") + 
  labs(y = "")+
  
  theme(axis.text.x=element_blank(),
        axis.ticks.x = element_blank(),
        axis.title=element_text(size=14))

print(bplot)
